/******************************************************************************
 * Modulname:      Make Editor Objects.
 * Modultyp:       Rexx Batch.
 * Beschreibung:   Create Editor Objekts for Different File Types.
 * Author:         Martin Krischik
 ******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 ******************************************************************************
 *
 * RCS Daten:
 *
 *     $RCSfile: Editors.CMD,v $
 *     $Source: P:\\Set\\Archive\\Tools\\Editors.CMD,v $
 *
 *     $Author:   Martin_Krischik  $
 *     $Locker:  $
 *
 *     $Revision:   1.0  $
 *     $Date:   24 Aug 1997 13:34:30  $
 *     $State: Exp $
 *     $Name: Current $
 *
 *  $Id: Editors.CMD,v 1.7 1996/09/09 10:05:57 Martin_Krischik Exp $
 *  $Header:   G:/Archive/ORexx/WorkPlace/wpPalete.CMD,v   1.0   24 Aug 1997 13:34:30   Martin_Krischik  $
 *
 *  $Log:   G:/Archive/ORexx/WorkPlace/wpPalete.CMD,v  $
 *
 *     Rev 1.0   24 Aug 1997 13:34:30   Martin_Krischik
 *  Workplace Shell support.
 *
 *****************************************************************************/

wpPalete:
    TRACE ON

    wp = .MyWorkPlace~NEW;

    wp~SetPMDefaultColors = 1;
    wp~SetPMColors        = 1;
    wp~SetUserColors      = "MK";

    wp~SetFonts;

    wp~Verbose            = 1;

    Black                 ="  0   0   0";
    DarkGrey              =" 96  96  96";
    Grey                  ="128 128 128";
    MediumGrey            ="160 160 160";
    LightGrey             ="204 204 204";
    White                 ="255 255 255";

    Blue                  ="  0   0 128";
    LightBlue             ="  0   0 255";

    Green                 ="  0 182   0";

    Yellow                ="255 255   0";

    TitleBackgound        =" 64   0 128";
    HiLightBackground     ="192   0   0";
    DesktopBackground     ="  0 182 255";
    ShadowForeground      ="  0   0 255";
    NotebookBackground    ="  0 219 170";

    wp~Colors             = "ActiveBorder;"              ||LightGrey
    wp~Colors             = "ActiveTitle;"               ||TitleBackgound;
    wp~Colors             = "ActiveTitleText;"           ||White;
    wp~Colors             = "ActiveTitleTextBgnd;"       ||TitleBackgound;

    wp~Colors             = "AppWorkspace;"              ||LightGrey;

    wp~Colors             = "Background;"                ||DesktopBackground;

    wp~Colors             = "ButtonDark;"                ||Grey
    wp~Colors             = "ButtonDefault;"             ||HiLightBackground;
    wp~Colors             = "ButtonLight;"               ||White;
    wp~Colors             = "ButtonMiddle;"              ||LightGrey

    wp~Colors             = "DialogBackground;"          ||LightGrey

    wp~Colors             = "DesktopIconText;"           ||Black;
    wp~Colors             = "DesktopIconTextBackground;" ||Black;

    wp~Colors             = "EntryField;"                ||White;

    wp~Colors             = "FieldBackground;"           ||LightGrey

    wp~Colors             = "FolderIconTextBackground;"  ||"T"||White;

    wp~Colors             = "HelpBackground;"            ||Green;
    wp~Colors             = "HelpHilite;"                ||Yellow;
    wp~Colors             = "HelpText;"                  ||White;

    wp~Colors             = "HiliteBackground;"          ||HiLightBackground;
    wp~Colors             = "HiliteForeground;"          ||White;

    wp~Colors             = "IconText;"                  ||Black;

    wp~Colors             = "InactiveBorder;"            ||LightGrey;
    wp~Colors             = "InactiveTitle;"             ||Grey;
    wp~Colors             = "InactiveTitleText;"         ||LightGrey
    wp~Colors             = "InactiveTitleTextBgnd;"     ||Grey;

    wp~Colors             = "Menu;"                      ||LightGrey
    wp~Colors             = "MenuDisabledText;"          ||MediumGrey;
    wp~Colors             = "MenuHilite;"                ||HiLightBackground;
    wp~Colors             = "MenuHiliteText;"            ||White;
    wp~Colors             = "MenuText;"                  ||Black;

    wp~Colors             = "OutputText;"                ||Black;

    wp~Colors             = "PageBackground;"            ||NotebookBackground;

    wp~Colors             = "Scrollbar;"                 ||Grey;

    wp~Colors             = "Shadow;"                    ||ShadowForeground;
    wp~Colors             = "ShadowHiliteBgnd;"          ||HiLightBackground;
    wp~Colors             = "ShadowHiliteFgnd;"          ||ShadowForeground;
    wp~Colors             = "ShadowText;"                ||ShadowForeground;

    wp~Colors             = "TitleBottom;"               ||Grey;
    wp~Colors             = "TitleText;"                 ||White;

    wp~Colors             = "Window;"                    ||White;
    wp~Colors             = "WindowFrame;"               ||Grey;
    wp~Colors             = "WindowStaticText;"          ||Blue;
    wp~Colors             = "WindowText;"                ||Black;

    wp~Verbose            = 1;

/*
 *
 * DefaultFont
 * IconText
 * Menus
 * WindowText
 * WindowTitle
 *
 */

    wp~ObjectCreate('my colors;'                         ||,
                    'WPSchemePalette;'                   ||,
                    '<WP_CONFIG>;'                       ||,
                    'XCELLCOUNT=3;'                      ||,
                    'YCELLCOUNT=1;'                      ||,
                    'AUTOSETUP=NO;'                      ||,
                    'SCHEMES=Colors:PM_Colors,'          ||,
                            'Default:PM_Default_Colors,' ||,
                            'MK:PM_MK_Colors;'           ||,
                    'OBJECTID=<mk_colors>'                 );


    wp~ObjectSetData('<mk_colors>;'                       ||,
                     'SCHEMES=Colors:PM_Colors,'          ||,
                             'Default:PM_Default_Colors,' ||,
                             'MK:PM_MK_Colors'              )

    wp~ObjectOpen('<mk_colors>');
EXIT

::REQUIRES "WorkPlace";

::CLASS "MyWorkPlace" SUBCLASS WorkPlace

::METHOD SetFonts UNGUARDED

    SELF~Verbose            = 2;

    IF SysOS2Ver() < 2.40 THEN
      DO
        SELF~Colors         = "DefaultFont;"               ||"13.System VIO";
        SELF~Colors         = "IconTextFont;"              ||"8.Tms Rmn"
        SELF~Colors         = "MenuTextFont;"              ||"8.Helv";
        SELF~Colors         = "TitlebarTextFont;"          ||"10.Helv";
        SELF~Colors         = "WindowTextFont;"            ||"12.Times New Roman";

        SELF~Fonts          = "Default;"                   ||"13.System VIO";
        SELF~Fonts          = "IconText;"                  ||"8.Tms Rmn";
        SELF~Fonts          = "Menus;"                     ||"8.Helv"
        SELF~Fonts          = "WindowTitles;"              ||"10.Helv";
        SELF~Fonts          = "WindowText;"                ||"12.Times New Roman";
      END
    ELSE
      DO
        SELF~Colors         = "DefaultFont;"               ||"9.WarpSans Bold";
        SELF~Colors         = "IconTextFont;"              ||"8.Tms Rmn";
        SELF~Colors         = "MenuTextFont;"              ||"8.Helv";
        SELF~Colors         = "TitlebarTextFont;"          ||"9.WarpSans Bold";
        SELF~Colors         = "WindowTextFont;"            ||"9.WarpSans";

        SELF~Fonts          = "Default;"                   ||"9.WarpSans Bold";
        SELF~Fonts          = "IconText;"                  ||"8.Tms Rmn";
        SELF~Fonts          = "Menus;"                     ||"8.Helv"
        SELF~Fonts          = "WindowTitles;"              ||"9.WarpSans Bold";
        SELF~Fonts          = "WindowText;"                ||"9.WarpSans";
      END
RETURN
