/******************************************************************************
 * Modulname:      Set Workplace sound Palete.
 * Modultyp:       ORexx Batch.
 * Beschreibung:   Creates a customized Workplace Shell Sound Pallete.
 * Author:         (c) Martin Krischik
 ******************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 ******************************************************************************
 *
 * RCS, CVS PVCS Daten:
 *
 *      $Archive:   G:/Archive/ORexx/WorkPlace/wpPaleteSounds.CMD,v  $
 *      $Workfile:   wpPaleteSounds.CMD  $
 *
 *      $Author:   Martin_Krischik  $
 *      $Revision:   1.0  $
 *      $Name: Current $
 *      $Date:   24 Aug 1997 13:34:32  $
 *      $Modtime:   07 Aug 1997 19:56:54  $
 *
 *  $Header:   G:/Archive/ORexx/WorkPlace/wpPaleteSounds.CMD,v   1.0   24 Aug 1997 13:34:32   Martin_Krischik  $
 *
 *  $Log:   G:/Archive/ORexx/WorkPlace/wpPaleteSounds.CMD,v  $
 *
 *     Rev 1.0   24 Aug 1997 13:34:32   Martin_Krischik
 *  Workplace Shell support.
 *
 *****************************************************************************/

wpPaleteSounds:
    TRACE ON

    wp = .WorkPlace~NEW;

    wp~Sounds="MK";
    wp~Sounds="MK;" || "0;" ||"D:\DosData\Audio_Cl\desktop_\dsk_warn.wav"  /* Warning      */
    wp~Sounds="MK;" || "1;" ||"D:\DosData\Audio_Cl\desktop_\dsk_info.wav"  /* Info         */
    wp~Sounds="MK;" || "2;" ||"D:\DosData\Audio_Cl\desktop_\dsk_err.wav"   /* Error        */
    wp~Sounds="MK;" || "3;" ||"D:\DosData\Audio_Cl\DRWROPEN.WAV"           /* Open Window  */
    wp~Sounds="MK;" || "4;" ||"D:\DosData\Audio_Cl\DRWCLOSE.WAV"           /* Close Window */
    wp~Sounds="MK;" || "5;" ||"D:\DosData\Audio_Cl\JET.WAV"                /* Begin Drag   */
    wp~Sounds="MK;" || "6;" ||"D:\DosData\Audio_Cl\POP.WAV"                /* End Drag     */
    wp~Sounds="MK;" || "7;" ||"D:\DosData\Audio_Cl\Dolby_TH.WAV"           /* Startup      */
    wp~Sounds="MK;" || "8;" ||"D:\DosData\Audio_Cl\desktop_\dsk_shut.wav"  /* Shutdown     */
    wp~Sounds="MK;" || "9;" ||"D:\DosData\Audio_Cl\SHRED.WAV"              /* Delete File  */
    wp~Sounds="MK;" ||"10;" ||"D:\DosData\Audio_Cl\desktop_\dsk_lckp.wav"  /* Lockup       */
    wp~Sounds="MK;" ||"11;" ||"D:\DosData\Audio_Cl\desktop_\dsk_alar.wav"  /* Alarm        */
    wp~Sounds="MK;" ||"12;" ||"D:\DosData\Audio_Cl\desktop_\dsk_perr.wav"  /* Error        */

    wp~Colors= "SoundSchemeName;MK"

RETURN;

::REQUIRES "WorkPlace";
